Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/tv/1399/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/1399/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/1399/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1399,
"results": [
{
"id": "64ec59a7e894a60101224a01",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "KPLWWIOCOOQ",
"name": "Game of Thrones | Official Series Trailer",
"official": true,
"published_at": "2021-04-05T16:00:07.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "5c999b48c3a36863b73b9d42",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "y2ZJ3lTaREY",
"name": "Inside Game of Thrones: A Story in Camera Work",
"official": true,
"published_at": "2019-03-25T14:00:06.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "5c92c2519251412b51773135",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "f3MUpuRF6Ck",
"name": "Inside Game of Thrones: A Story in Prosthetics",
"official": true,
"published_at": "2019-03-11T14:00:03.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "6233756fba131b001f875249",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "s7L2PVdrb_8",
"name": "Opening Credits",
"official": true,
"published_at": "2011-04-18T20:20:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Opening Credits"
},
{
"id": "5c9295200e0a267cd8168bd8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "BpJYNVhGf1s",
"name": "Official Trailer",
"official": true,
"published_at": "2011-03-04T04:21:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "6639c6fc3a48c501344fb627",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "hhqRmcsWqac",
"name": "Iron Throne Preview",
"official": true,
"published_at": "2011-01-15T01:59:02.000Z",
"site": "YouTube",
"size": 360,
"type": "Teaser"
},
{
"id": "6639c72a3a48c5012b4fbd10",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "nf5YvIn6XB8",
"name": "Inside Game of Thrones",
"official": true,
"published_at": "2011-01-10T19:53:20.000Z",
"site": "YouTube",
"size": 360,
"type": "Featurette"
}
]
}Get the videos that belong to a TV show.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Get series' videos
1399
Show child attributes
[
{
"id": "64ec59a7e894a60101224a01",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "KPLWWIOCOOQ",
"name": "Game of Thrones | Official Series Trailer",
"official": true,
"published_at": "2021-04-05T16:00:07.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "5c999b48c3a36863b73b9d42",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "y2ZJ3lTaREY",
"name": "Inside Game of Thrones: A Story in Camera Work",
"official": true,
"published_at": "2019-03-25T14:00:06.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "5c92c2519251412b51773135",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "f3MUpuRF6Ck",
"name": "Inside Game of Thrones: A Story in Prosthetics",
"official": true,
"published_at": "2019-03-11T14:00:03.000Z",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
{
"id": "6233756fba131b001f875249",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "s7L2PVdrb_8",
"name": "Opening Credits",
"official": true,
"published_at": "2011-04-18T20:20:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Opening Credits"
},
{
"id": "5c9295200e0a267cd8168bd8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "BpJYNVhGf1s",
"name": "Official Trailer",
"official": true,
"published_at": "2011-03-04T04:21:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
},
{
"id": "6639c6fc3a48c501344fb627",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "hhqRmcsWqac",
"name": "Iron Throne Preview",
"official": true,
"published_at": "2011-01-15T01:59:02.000Z",
"site": "YouTube",
"size": 360,
"type": "Teaser"
},
{
"id": "6639c72a3a48c5012b4fbd10",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "nf5YvIn6XB8",
"name": "Inside Game of Thrones",
"official": true,
"published_at": "2011-01-10T19:53:20.000Z",
"site": "YouTube",
"size": 360,
"type": "Featurette"
}
]